Template 3 endpoints

POST /template/remove_user/{template_id}

Removes the specified Account’s access to the specified Template.

operationId: Template_removeUser

Parameters

Name In Required Type Description
template_id path required string

The id of the Template to remove the Account’s access to.

Request Body

required
application/json
schema TemplateRemoveUserRequest
Property Type Required
account_id string optional
email_address string optional

Responses

4XX

failed_operation

200

successful operation

POST /template/remove_user/{template_id}
POST /template/update_files/{template_id}

Overlays a new file with the overlay of an existing template. The new file(s) must:

  1. have the same or higher page count
  2. the same orientation as the file(s) being replaced.

This will not overwrite or in any way affect the existing template. Both the existing template and new template will be available for use after executing this endpoint. Also note that this will decrement your template quota.

Overlaying new files is asynchronous and a successful call to this endpoint will return 200 OK response if the request passes initial validation checks.

It is recommended that a callback be implemented to listen for the callback event. A template_created event will be sent when the files are updated or a template_error event will be sent if there was a problem while updating the files. If a callback handler has been configured and the event has not been received within 60 minutes of making the call, check the status of the request in the API dashboard and retry the request if necessary.

If the page orientation or page count is different from the original template document, we will notify you with a template_error callback event.

operationId: Template_updateFiles

Parameters

Name In Required Type Description
template_id path required string

The ID of the template whose files to update.

Request Body

required
application/json
schema TemplateUpdateFilesRequest
Property Type Required
files array optional
message string optional
subject string optional
client_id string optional
file_urls array optional
test_mode boolean optional
multipart/form-data
schema TemplateUpdateFilesRequest
Property Type Required
files array optional
message string optional
subject string optional
client_id string optional
file_urls array optional
test_mode boolean optional

Responses

4XX

failed_operation

200

successful operation

POST /template/update_files/{template_id}
GET /template/{template_id}

Returns the Template specified by the template_id parameter.

operationId: Template_getById

Parameters

Name In Required Type Description
template_id path required string

The id of the Template to retrieve.

Responses

4XX

failed_operation

200

successful operation

GET /template/{template_id}

Unclaimeddraft 4 endpoints

POST /unclaimed_draft/create

Creates a new Draft that can be claimed using the claim URL. The first authenticated user to access the URL will claim the Draft and will be shown either the “Sign and send” or the “Request signature” page with the Draft loaded. Subsequent access to the claim URL will result in a 404.

operationId: UnclaimedDraft_createNewDraft

Request Body

required
application/json
schema UnclaimedDraftCreateRequest
Property Type Required
type string required
files array optional
message string optional
signers array optional
name string required
order integer optional
email_address string required
subject string optional
metadata object optional
client_id string optional
file_urls array optional
test_mode boolean optional
expires_at integer optional
attachments array optional
name string required
required boolean optional
instructions string optional
signer_index integer required
allow_decline boolean optional
custom_fields array optional
name string required
value string optional
editor string optional
required boolean optional
field_options object optional
date_format string required
use_text_tags boolean optional
hide_text_tags boolean optional
signing_options object optional
draw boolean optional
type boolean optional
phone boolean optional
upload boolean optional
default_type string required
form_field_rules array optional
id string required
actions array required
type string required
hidden boolean required
field_id string optional
group_id string optional
triggers array required
id string required
value string optional
values array optional
operator string required
trigger_operator string required
form_field_groups array optional
group_id string required
group_label string required
requirement string required
cc_email_addresses array optional
…4 more object optional
multipart/form-data
schema UnclaimedDraftCreateRequest
Property Type Required
type string required
files array optional
message string optional
signers array optional
name string required
order integer optional
email_address string required
subject string optional
metadata object optional
client_id string optional
file_urls array optional
test_mode boolean optional
expires_at integer optional
attachments array optional
name string required
required boolean optional
instructions string optional
signer_index integer required
allow_decline boolean optional
custom_fields array optional
name string required
value string optional
editor string optional
required boolean optional
field_options object optional
date_format string required
use_text_tags boolean optional
hide_text_tags boolean optional
signing_options object optional
draw boolean optional
type boolean optional
phone boolean optional
upload boolean optional
default_type string required
form_field_rules array optional
id string required
actions array required
type string required
hidden boolean required
field_id string optional
group_id string optional
triggers array required
id string required
value string optional
values array optional
operator string required
trigger_operator string required
form_field_groups array optional
group_id string required
group_label string required
requirement string required
cc_email_addresses array optional
…4 more object optional

Responses

4XX

failed_operation

200

successful operation

POST /unclaimed_draft/create
POST /unclaimed_draft/create_embedded

Creates a new Draft that can be claimed and used in an embedded iFrame. The first authenticated user to access the URL will claim the Draft and will be shown the “Request signature” page with the Draft loaded. Subsequent access to the claim URL will result in a 404. For this embedded endpoint the requester_email_address parameter is required.

NOTE: Embedded unclaimed drafts can only be accessed in embedded iFrames whereas normal drafts can be used and accessed on Dropbox Sign.

operationId: UnclaimedDraft_createEmbedded

Request Body

required
application/json
schema UnclaimedDraftCreateEmbeddedRequest
Property Type Required
type string optional
files array optional
message string optional
signers array optional
name string required
order integer optional
email_address string required
subject string optional
metadata object optional
allow_ccs boolean optional
client_id string required
file_urls array optional
test_mode boolean optional
expires_at integer optional
attachments array optional
name string required
required boolean optional
instructions string optional
signer_index integer required
skip_me_now boolean optional
hold_request boolean optional
show_preview boolean optional
allow_decline boolean optional
custom_fields array optional
name string required
value string optional
editor string optional
required boolean optional
field_options object optional
date_format string required
use_text_tags boolean optional
allow_reassign boolean optional
…16 more object optional
multipart/form-data
schema UnclaimedDraftCreateEmbeddedRequest
Property Type Required
type string optional
files array optional
message string optional
signers array optional
name string required
order integer optional
email_address string required
subject string optional
metadata object optional
allow_ccs boolean optional
client_id string required
file_urls array optional
test_mode boolean optional
expires_at integer optional
attachments array optional
name string required
required boolean optional
instructions string optional
signer_index integer required
skip_me_now boolean optional
hold_request boolean optional
show_preview boolean optional
allow_decline boolean optional
custom_fields array optional
name string required
value string optional
editor string optional
required boolean optional
field_options object optional
date_format string required
use_text_tags boolean optional
allow_reassign boolean optional
…16 more object optional

Responses

4XX

failed_operation

200

successful operation

POST /unclaimed_draft/create_embedded
POST /unclaimed_draft/create_embedded_with_template

Creates a new Draft with a previously saved template(s) that can be claimed and used in an embedded iFrame. The first authenticated user to access the URL will claim the Draft and will be shown the “Request signature” page with the Draft loaded. Subsequent access to the claim URL will result in a 404. For this embedded endpoint the requester_email_address parameter is required.

NOTE: Embedded unclaimed drafts can only be accessed in embedded iFrames whereas normal drafts can be used and accessed on Dropbox Sign.

operationId: UnclaimedDraft_createEmbeddedWithTemplate

Request Body

required
application/json
schema UnclaimedDraftCreateEmbeddedWithTemplateRequest
Property Type Required
ccs array optional
role string required
email_address string required
files array optional
title string optional
message string optional
signers array optional
name string required
role string required
email_address string required
subject string optional
metadata object optional
allow_ccs boolean optional
client_id string required
file_urls array optional
test_mode boolean optional
skip_me_now boolean optional
hold_request boolean optional
preview_only boolean optional
show_preview boolean optional
template_ids array required
allow_decline boolean optional
custom_fields array optional
name string required
value string optional
editor string optional
required boolean optional
field_options object optional
date_format string required
allow_reassign boolean optional
…10 more object optional
multipart/form-data
schema UnclaimedDraftCreateEmbeddedWithTemplateRequest
Property Type Required
ccs array optional
role string required
email_address string required
files array optional
title string optional
message string optional
signers array optional
name string required
role string required
email_address string required
subject string optional
metadata object optional
allow_ccs boolean optional
client_id string required
file_urls array optional
test_mode boolean optional
skip_me_now boolean optional
hold_request boolean optional
preview_only boolean optional
show_preview boolean optional
template_ids array required
allow_decline boolean optional
custom_fields array optional
name string required
value string optional
editor string optional
required boolean optional
field_options object optional
date_format string required
allow_reassign boolean optional
…10 more object optional

Responses

4XX

failed_operation

200

successful operation

POST /unclaimed_draft/create_embedded_with_template
POST /unclaimed_draft/edit_and_resend/{signature_request_id}

Creates a new signature request from an embedded request that can be edited prior to being sent to the recipients. Parameter test_mode can be edited prior to request. Signers can be edited in embedded editor. Requester’s email address will remain unchanged if requester_email_address parameter is not set.

NOTE: Embedded unclaimed drafts can only be accessed in embedded iFrames whereas normal drafts can be used and accessed on Dropbox Sign.

operationId: UnclaimedDraft_editResend

Parameters

Name In Required Type Description
signature_request_id path required string

The ID of the signature request to edit and resend.

Request Body

required
application/json
schema UnclaimedDraftEditAndResendRequest
Property Type Required
client_id string required
test_mode boolean optional
editor_options object optional
allow_edit_signers boolean optional
allow_edit_documents boolean optional
signing_redirect_url string optional
show_progress_stepper boolean optional
is_for_embedded_signing boolean optional
requester_email_address string optional
requesting_redirect_url string optional

Responses

4XX

failed_operation

200

successful operation

POST /unclaimed_draft/edit_and_resend/{signature_request_id}